package fsutils

// FsAttrs is a convenience struct around github.com/g0rbe/go-chattr.
type FsAttrs struct {
	SecureDelete       bool
	UnDelete           bool
	CompressFile       bool
	SyncUpdatechattr   bool
	Immutable          bool
	AppendOnly         bool
	NoDumpFile         bool
	NoUpdateAtime      bool
	IsDirty            bool
	CompressedClusters bool
	NoCompress         bool
	EncFile            bool
	BtreeFmt           bool
	HashIdxDir         bool
	AfsDir             bool
	ReservedExt3       bool
	NoMergeTail        bool
	DirSync            bool
	DirTop             bool
	ReservedExt4a      bool
	Extents            bool
	LargeEaInode       bool
	ReservedExt4b      bool
	NoCOWFile          bool
	ReservedExt4c      bool
	UseParentProjId    bool
	ReservedExt2       bool
}
